main{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0 2em;
    margin-top: 200px;
    margin-bottom: 50px;
}

.horizontal-divider{
    width: 100%;
    height: 1px;
    background: #ffffff81;
    margin: 15px 0;
}

.product{
    display: flex;
    width: 100%;
    gap: 30px;
    justify-content: center;
    margin-bottom: 50px;
}

.product-img{
    width: 30%;
}

.product-img img{
    width: 100%;
    box-shadow: var(--shadow-l);
}

.product-info{
    width: 60%;
    color: var(--white);
}

.product-tags{
    display: flex;
    gap: 10px;
}

.product-tag{
    width: fit-content;
    padding: 10px 15px;
    border-radius: 50px;
    font-size: 0.9em;
}

.new-tag{
    background: var(--white);
    color: var(--secondary-red);
    font-weight: 600;
}

.stock-tag{
    background: rgb(18, 128, 18);
    color: var(--white);
}

.title{
    font-family: "Monoton", Sans-Serif;
    font-size: 3rem;
    text-transform: uppercase;
    margin-top: 10px;
}

.artist{
    font-size: 1.5rem;
    text-transform: uppercase;
    margin-top: -10px;
    font-weight: 600;
}

.details{
    padding: 10px 0;
}

.detail{
    display: flex;
    gap: 10px;
    margin: 10px 0;
    align-items: center;
}

.detail img{
    width: 20px;
}


.price{
    margin-bottom: 15px;
    font-size: 3em;
    font-weight: 800;
}

.view-item,
.save-for-later{
    font-size: 1em;
    font-weight: 600;
}

/* Add to Basket Button */

.view-item{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    background: var(--primary-red);
    border: none;
    border-radius: 50px;
    color: var(--white);
    font-size: 0.9em;
    transition: 0.3s ease-in-out;
    cursor: pointer;
    border: 2px solid var(--primary-red);
}

.view-item img{
    width: 20px;
}

.arrow-red{
    display: none;
}

.view-item:hover{
    background: var(--white);
    color: var(--secondary-red);
    border: 2px solid var(--primary-red);
}

.view-item:hover .arrow-white{
    display: none;
}

.view-item:hover .arrow-red{
    display: flex;
}


/* Save for Later */

.save-for-later{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    background: var(--white);
    border: none;
    border-radius: 50px;
    color: var(--primary-red);
    font-size: 0.9em;
    transition: 0.3s ease-in-out;
    cursor: pointer;
    border: 2px solid var(--white);
    margin-top: 15px;
}

.save-for-later img{
    width: 20px;
}

.bookmark-white{
    display: none;
}

.save-for-later:hover{
    background: var(--primary-red);
    color: var(--white);
    border: 2px solid var(--white);
}

.save-for-later:hover .bookmark-red{
    display: none;
}

.save-for-later:hover .bookmark-white{
    display: flex;
}

/* Might Also Like */

.might-also-like{
    color: var(--white);
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.might-also-like-title{
    font-size: 3em;
    font-family: "Monoton", Sans-Serif;
    text-transform: uppercase;
    font-weight: 400;
}

/* ITEMS */

/* SHOP ITEM */
.vinyl-shop-items{ 
    margin: 50px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap; 
    gap: 30px; 
    width: 100%;
}

.vinyl-shop-item{
    flex: 1 1 250px;
    max-width: 500px;
    background-color: var(--white);
    color: var(--secondary-red);
    border-radius: 10px;
    overflow: hidden;
    padding-bottom: 20px;
    box-shadow: var(--shadow-m);
}

.vinyl-shop-img{
    width: 100%;
    position: relative;
}

.album-new{
    border-bottom: 5px solid var(--secondary-red);
    width: 100%;
    min-height: 275px;
}

.album-used{
    border-bottom: 5px solid #51C28D;
    width: 100%;
    min-height: 275px;
}

.tag{
    text-decoration: none;
    padding: 8px 15px 8px 0;
    position: absolute;
    top: 0;
    left: 50px;
    z-index: 4;
    text-align: right;
    width: 70px;
    border-radius: 0 50px 50px 0;
    font-size: 0.9em;
}

.tag-new{
    color: var(--white);
    background-color: var(--primary-red);
}

.tag-used{
    color: var(--black);
    background-color: #57C792;
}

.divider{
    position: absolute;
    bottom: -20px;
    left: 10px;
    width: 50px;
    z-index: 5;
}

.vinyl-shop-info{
    margin-top: 30px;
    text-align: left;
    padding: 0 10px;
}

.album-title{
    font-weight: 600;
    text-decoration: none;
    color: var(--secondary-red);
}

.album-artist{
    font-size: 0.9em;
}

.album-price{
    margin-top: 30px;
    font-weight: 600;
}

.album-type{
    font-size: 0.9em;
    margin-bottom: 20px;
}